<?
include("../conexion/class-sb-conexion.php");
include("../funciones/joda-func.php");
?>
<table cellspacing="0" cellpadding="0" style="width:400px;">
	<?
	$db = new sb_mysql();   
	$db->pagina=$pagina;
	$db->registros=15;
	$consulta = $db->consulta("select codigo,descripcion
							  from codigos_contables ");
	// echo $db->sql; 						
	if($pagina==1){$indice=1;}else{$indice=(($pagina-1)*$db->registros)+1;}
	$filas=0;
	if($db->num_rows($consulta)>0){  
	    
		while($resultados = $db->sb_array($consulta)){   
		 $filas++; 
  		?><tr id='<?=$filas?>'  onClick="marcar(this,<?=$db->num_rows($consulta)?>,<?=$resultados['codigo']?>)" >
         	<td width="25"><?=$indice++?></td>
        	<td align="center" width="100" ><?=$resultados['codigo']?></td> 
        	<td  align="left">&nbsp;&nbsp;<?=utf8_decode(htmlentities($resultados['descripcion']))?></td>

          </tr><?   
  			}   
		}  
	 	?>
        <tr align="center">
        	<td colspan="3" height="30">
				<? 
				if(($pagina-1)>0){ 
				?><a href='#' onClick="carga_link('tb_mant_plan_det.php?pagina=<?=($pagina-1)?>','body');"
                	>< Anterior </a>
                <? 
                }else{
				?>
                	<a href='#' onClick="alert('Primera Pagina')" >< Anterior </a>
                <? 
				} 
				if(($pagina+1)<=$db->total_paginas){
				?>
                	<a href='#' onClick="carga_link('tb_mant_plan_det.php?pagina=<?=($pagina+1)?>','body');"
                    >Siguiente ></a>                
                <?
                }else{ 
				?>
                    <a href='#' onClick="alert('Ultima Pagina')" >Siguiente > </a>
                
                <? 
				}
				?>
    		</td>
        </tr>
    	<tr >
        	<td align="center"  colspan="3">
    			<input type="button" class="boton" onclick="evento('tb_mant_plan_for.php?evento=inst&','input');" value="NUEVO" />
    			<input type="button" class="boton" 
                onClick="var m=marcador();if(m!='')evento('tb_mant_plan_for.php?evento=upda&id='+m+'&','input');" value="EDITAR" />
    			<input type="button" class="boton" value="ELIMINAR" onclick="alert('no implementado');" />
                <input type="button" class="boton" onClick="window.close();" value="SALIR" />
   			</td>
        </tr>
</table>
